Bug 176229 - fix port: lang/mlton (build with new math/gmp in ports)
Summary: fix port: lang/mlton (build with new math/gmp in ports)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-18 08:30 UTC by Timothy Beyer
Modified: 2013-02-18 18:49 UTC (History)
1 user (show)

See Also:


Attachments
mlton.diff (972 bytes, patch)
2013-02-18 08:30 UTC, Timothy Beyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2013-02-18 08:30:00 UTC
- Fix build with newer math/gmp in ports tree --  Newer versions of gmp do not define __gmp_const.  This patch addresses the compile time errors with an ifndef.

This is needed as a prerequisite to complete the following PR for lang/urweb:
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176206

Fix: The included patch
How-To-Repeat: 
    Apply patch and build port
Comment 1 Edwin Groothuis freebsd_committer 2013-02-18 08:30:07 UTC
Maintainer of lang/mlton,

Please note that PR ports/176229 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/176229

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-18 08:30:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-02-18 09:27:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 12:25:38 UTC
Responsible Changed
From-To: miwi->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2013-02-18 18:22:24 UTC
Author: rm
Date: Mon Feb 18 18:22:10 2013
New Revision: 312515
URL: http://svnweb.freebsd.org/changeset/ports/312515

Log:
  - fix build with newer math/gmp in ports tree. Newer versions of gmp do not
    define __gmp_const. This patch addresses the compile time errors with an
    ifndef.
  
  while here:
  - trim Makefile header
  - remove indefinite article from COMMENT
  - remove deprecated attribution from pkg-descr and make tab -> space change
    in WWW field
  
  PR:		176229
  Submitted by:	Timothy Beyer <beyert@cs.ucr.edu>
  Approved by:	maintainer (implicit, because the port was broken)

Added:
  head/lang/mlton/files/patch-runtime_gc_int-inf.c   (contents, props changed)
Modified:
  head/lang/mlton/Makefile
  head/lang/mlton/pkg-descr

Modified: head/lang/mlton/Makefile
==============================================================================
--- head/lang/mlton/Makefile	Mon Feb 18 17:48:29 2013	(r312514)
+++ head/lang/mlton/Makefile	Mon Feb 18 18:22:10 2013	(r312515)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:   mlton
-# Date created:                1 Oct 2002
-# Whom:                        Stephen Weeks <sweeks@sweeks.com>
-#
+# Created by: Stephen Weeks <sweeks@sweeks.com>
 # $FreeBSD$
-#
 
 # Because MLton is written in SML, it needs an SML compiler to build.
 # It is easiest to use another (earlier) binary version of MLton as
@@ -22,7 +18,7 @@ EXTRACT_ONLY=	${SRC_DIST}
 
 # Other maintainer is Geoffrey Mainland (mainland@apeiron.net)
 MAINTAINER=	jesper.louis.andersen@gmail.com
-COMMENT=	An optimizing Standard ML compiler
+COMMENT=	Optimizing Standard ML compiler
 
 LIB_DEPENDS=	gmp.10:${PORTSDIR}/math/gmp
 RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash

Added: head/lang/mlton/files/patch-runtime_gc_int-inf.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/lang/mlton/files/patch-runtime_gc_int-inf.c	Mon Feb 18 18:22:10 2013	(r312515)
@@ -0,0 +1,13 @@
+--- runtime/gc/int-inf.c.orig	2010-06-11 06:35:14.000000000 -0700
++++ runtime/gc/int-inf.c	2013-02-17 15:45:47.000000000 -0800
+@@ -6,6 +6,10 @@
+  * See the file MLton-LICENSE for details.
+  */
+ 
++#ifndef __gmp_const
++# define __gmp_const const
++#endif
++
+ /*
+  * Test if a intInf is a fixnum.
+  */
\ No newline at end of file

Modified: head/lang/mlton/pkg-descr
==============================================================================
--- head/lang/mlton/pkg-descr	Mon Feb 18 17:48:29 2013	(r312514)
+++ head/lang/mlton/pkg-descr	Mon Feb 18 18:22:10 2013	(r312515)
@@ -4,6 +4,4 @@ code, has a fast C FFI, profiling, and m
 including an interface to the GNU multiprecision library.  For more
 information, go to the MLton home page.
 
-WWW:	http://mlton.org/
-    
-Stephen Weeks <sweeks@sweeks.com>
+WWW: http://mlton.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 18:49:33 UTC
State Changed
From-To: feedback->closed

Committed, thank you! PORTREVISION bump isn't needed because port can't 
be built anyway